import * as glob from 'glob';
import * as path from 'path';

const files = glob.sync(path.resolve(__dirname, './apps/**/index.cjs'));

export const loadApps = async (app: any) => {
  for (const file of files) {
    const module =  __non_webpack_require__(file);
    if (module.render) {
      module.render(app);
    }
  }
};
